"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
function useSize(ref) {
    var _a = (0, react_1.useState)({}), size = _a[0], setSize = _a[1];
    (0, react_1.useEffect)(function () {
        if (ref.current == null)
            return;
        var observer = new ResizeObserver(function (_a) {
            var entry = _a[0];
            return setSize(entry.contentRect);
        });
        observer.observe(ref.current);
        return function () { return observer.disconnect(); };
    }, []);
    return size;
}
exports.default = useSize;
